/* Copyright (C) Gabriel T. Delarosa, 2010. 
 * All rights reserved worldwide.
 *
 * This software is provided "as is" without express or implied
 * warranties. You may freely copy and compile this source into
 * applications you distribute provided that the authors name is
 * mentioned.
 */

#include "ViewPort.h"

namespace vi
{

ViewPort::ViewPort()
{
    set( 60.0f, 400.0f, 400.0f, 1.0f, 10000.0f );
}

ViewPort::ViewPort( float fov, float scrW, float scrH, float nearD, float farD )
{
    set( fov, scrW, scrH, nearD, farD );
}

void ViewPort::set( float fov, float scrW, float scrH, float nearD, float farD )
{
    setFOV( fov );
    setScreenDims( scrW, scrH );
    setNearDistance( nearD );
    setFarDistance( farD );
}


}// end namespace